Subject: Re: SurFace Bar Suggestion
From: [email-masked]
To: Multiple recipients of list <[email-masked]>
Date: Wed, 17 Jan 1996 19:19:08 -0500

On Wed, 17 Jan 1996, Visionary Games <[email-masked]> wrote:

>now lets say u need to change some surfaces on the motor..
>Scroll down to moto then another side menu appears with all
>the surfaces lists for motor..
>
>EX.
>
>Motor
>     piston.srf
>     crankcase.srf
>     sparkplughole.srf
>     manafold.srf
>     etc.
>
>
>Would that help?

	That's an OK suggestion (hey, they're ALL ok), and I'd find it useful, 
but think about this:

	1)  You can already preface all motor surface names with "motor.", and 
you can already alphabetize the surface list.

	2)  Under your plan, if a surface is used by more than one object it 
would be listed multiple times.  You might find that you have inadvertantly 
changed an object's surface by manipulating a similarly name surface on a 
different object.  You can think of programming ways around this, but why not
just give unique names in the first place.  Also, if you program around it, you
lose some features/tricks that we currently use.

>
>i know u can name the surfaces when u build the model to like motor_piston
>but some times i get a huge list of surfaces of stuff and cant find it the
>one i need :) i know.. lazyness.. but its just a suggestion..

	I'm afraid that it is indeed laziness.  A thoughtful approach to your
surface naming would address these issues rather easily.

>Steve Tietze
>Rogue Entertainment
>Project: STrife

******************************************************************************
** [email-masked]                     |  Synergy Graphix & Animation   **
** Welcome to Seattle!  Have a latte'!     | Technical Subjects a Specialty!**
** Don't make me force it down your throat.|     "OK!  Wind the frog!"      **